Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-5187

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2008-5187
Last Modified 07 Mar 2011 10:14:08
Published 20 Nov 2008 09:30:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2008-5187

Summary

The load function in the XPM loader for imlib2 1.4.2, and possibly other versions, allows attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted XPM file that triggers a "pointer arithmetic error" and a heap-based buffer overflow, a different vulnerability than CVE-2008-2426.

Vulnerable Systems

Application

  • Enlightenment Imlib2 1.4.2


References

FEDORA - FEDORA-2008-10296

FEDORA - FEDORA-2008-10287

VUPEN - ADV-2008-3212

UBUNTU - USN-683-1

BID - 32371

MLIST - [oss-security] 20081120 CVE Request: imlib2

MANDRIVA - MDVSA-2009:019

DEBIAN - DSA-1672

GENTOO - GLSA-200812-23

SECUNIA - 33568

SECUNIA - 33323

SECUNIA - 32963

SECUNIA - 32949

SECUNIA - 32843

SECUNIA - 32796

OSVDB - 49970

SUSE - SUSE-SR:2009:002

CONFIRM - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505714#15


Last Updated: 27 May 2016 10:48:44